<?php


define("_BBCLONE_DIR", "bbclone/");
define("COUNTER", _BBCLONE_DIR."mark_page.php");
if (is_readable(COUNTER)) include_once(COUNTER);



// pppBlog
// ------------------------------
// Based on Simple PHP blog and TFT gallery
// Joerg Tiedemann, jorgen <at> gmx.net
//	
// pppBlog is released under the GNU Public License.
//

	// Last pppBLOG version and update information.
	//
	global $pppb_info;
	$pppb_info[ 'version' ] = '0.3.11';
	$pppb_info[ 'last_update' ] = '$Date: 2006/11/18 17:27:42 $';
	
	// Last SPB version and update information.
	//
	global $sb_info;
	$sb_info[ 'version' ] = '0.4.4i';
	$sb_info[ 'last_update' ] = '06/17/05';
	
	// Error reporting should be set to 0 in production environments.
	//
	error_reporting( E_ALL ^ E_NOTICE );
	// error_reporting( 0 );
	
	//Remove timeout limit
	@set_time_limit( 0 );
	
	// Store "time" for benchmarking.
	//
	function getmicrotime() { 
		if ( version_compare( phpversion(), '5.0.0' ) == -1 ) {
			list($usec, $sec) = explode(' ', microtime()); 
			return ((float)$usec + (float)$sec); 
		}
		else {
			return( microtime( true ) );
		}
	}

 	/// create file_put_contents and file_get_contents for php versions that don't have them
 	if(!function_exists('file_put_contents')) {
 		function file_put_contents($filename, $data, $file_append = false)
 		{
 			$fp = fopen($filename, (!$file_append ? 'w+' : 'a+'));
 			if(!$fp)
 			{
 				trigger_error('file_put_contents cannot write in file.', E_USER_ERROR); return;
 			}
 			fputs($fp, $data);
 			fclose($fp);
 		}
 	}
 
 	if(!function_exists('file_get_contents')) {
 		function file_get_contents($file) {
 			$file = file($file);
 			return !$file ? false : implode('', $file);
 		}
 	}
 	////
	
	global $page_timestamp;
	$page_timestamp = getmicrotime();
	
	// Load all the other functions.
	require_once('scripts/sb_fileio.php');
	require_once('scripts/sb_config.php');
	require_once('scripts/sb_login.php');
	require_once('scripts/sb_theme.php');
	require_once('scripts/sb_formatting.php');
	require_once('scripts/sb_date.php');
	require_once('scripts/sb_communicate.php');
	require_once('scripts/sb_comments.php');
	require_once('scripts/sb_static.php');
	require_once('scripts/sb_utility.php');
	require_once('scripts/sb_menu.php');
	require_once('scripts/sb_search.php');
	require_once('scripts/sb_entries.php');
	require_once('scripts/sb_entry.php');
	require_once('scripts/sb_image.php');
	require_once('scripts/sb_display.php');
	require_once('scripts/sb_color.php');
	require_once('scripts/sb_trackback.php');
	require_once('scripts/sb_feed.php');
	require_once('scripts/sb_categories.php');

require_once('scripts/sb_gallery.php');
include "scripts/sb_gallery_config.php";
require_once('scripts/sb_events.php');
require_once('scripts/sb_language.php');
require_once('scripts/sb_bloghistory.php');
require_once('scripts/sb_menublocks.php');
require_once('scripts/sb_html.php');
require_once('scripts/sb_emoticons.php');
	
?>
